/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Data source details for object storage
 */
export interface ObjectListDataset extends model.LocationDetails {
    /**
     * Object storage bucket name
     */
    "bucketName": string;
    /**
     * Object storage namespace
     */
    "namespaceName": string;
    /**
     * Array of files (minimum 1, maximum 1024) which need to be processed in the bucket
     */
    "objectNames": Array<string>;
    "locationType": string;
}
export declare namespace ObjectListDataset {
    function getJsonObj(obj: ObjectListDataset, isParentJsonObj?: boolean): object;
    const locationType = "OBJECT_LIST";
    function getDeserializedJsonObj(obj: ObjectListDataset, isParentJsonObj?: boolean): object;
}
