/**
 * Vision API
 * Using Vision, you can upload images to detect and classify objects in them. If you have lots of images, you can process them in batch using asynchronous API endpoints. Vision's features are thematically split between Document AI for document-centric images, and Image Analysis for object and scene-based images. Pretrained models and custom models are supported.
 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Video analysis results.
 */
export interface AnalyzeVideoResult {
    "videoMetadata": model.VideoMetadata;
    /**
     * Detected labels in a video.
     */
    "videoLabels"?: Array<model.VideoLabel>;
    /**
     * Detected objects in a video.
     */
    "videoObjects"?: Array<model.VideoObject>;
    /**
     * Tracked objects in a video.
     */
    "videoTrackedObjects"?: Array<model.VideoTrackedObject>;
    /**
     * Detected text in a video.
     */
    "videoText"?: Array<model.VideoText>;
    /**
     * Detected faces in a video.
     */
    "videoFaces"?: Array<model.VideoFace>;
    /**
     * The ontologyClasses of video labels.
     */
    "ontologyClasses"?: Array<model.OntologyClass>;
    /**
     * Label Detection model version.
     */
    "labelDetectionModelVersion"?: string;
    /**
     * Object Detection model version.
     */
    "objectDetectionModelVersion"?: string;
    /**
     * Object Tracking model version.
     */
    "objectTrackingModelVersion"?: string;
    /**
     * Text Detection model version.
     */
    "textDetectionModelVersion"?: string;
    /**
     * Face Detection model version.
     */
    "faceDetectionModelVersion"?: string;
    /**
     * Array of possible errors.
     */
    "errors"?: Array<model.ProcessingError>;
}
export declare namespace AnalyzeVideoResult {
    function getJsonObj(obj: AnalyzeVideoResult): object;
    function getDeserializedJsonObj(obj: AnalyzeVideoResult): object;
}
