/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resource Principal Session Token Details.
 */
export interface ResourcePrincipalConfigurationSummary {
    /**
     * the ID of the ResourcePrincipalConfiguration.
     */
    "id": string;
    /**
     * the OCID of the bdsInstance which is the parent resource id.
     */
    "bdsInstanceId": string;
    /**
     * a user-friendly name. only ascii alphanumeric characters with no spaces allowed. the name does not have to be unique, and it may be changed. avoid entering confidential information.
     */
    "displayName": string;
    /**
     * the state of the ResourcePrincipalConfiguration.
     */
    "lifecycleState": string;
    /**
     * the time the resource principal session token was refreshed, shown as an rfc 3339 formatted datetime string.
     */
    "timeTokenRefreshed"?: Date;
    /**
     * the time the resource principal session token will expired, shown as an rfc 3339 formatted datetime string.
     */
    "timeTokenExpiry"?: Date;
    /**
     * the time the ResourcePrincipalConfiguration was created, shown as an rfc 3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * the time the ResourcePrincipalConfiguration was updated, shown as an rfc 3339 formatted datetime string.
     *
     */
    "timeUpdated": Date;
}
export declare namespace ResourcePrincipalConfigurationSummary {
    function getJsonObj(obj: ResourcePrincipalConfigurationSummary): object;
    function getDeserializedJsonObj(obj: ResourcePrincipalConfigurationSummary): object;
}
