/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details about the associated capacity requests against which the resources were provisioned by oracle.
 *
 */
export interface AssociatedCapacityRequestDetails {
    /**
     * The OCID of the capacity request against which the resources were provisioned.
     *
     */
    "occCapacityRequestId": string;
    /**
     * The total quantity of the bare metal hardware that was made available corresponding to the capacity request ocid.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "handoverQuantity": number;
}
export declare namespace AssociatedCapacityRequestDetails {
    function getJsonObj(obj: AssociatedCapacityRequestDetails): object;
    function getDeserializedJsonObj(obj: AssociatedCapacityRequestDetails): object;
}
