/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Credentials for an asset source.
 */
export interface AssetSourceCredentials {
    /**
     * Authentication type
     */
    "type": model.AssetSourceCredentialsType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the secret in a vault.
     * If the type of the credentials is {@code BASIC}, the secret must contain the username and
     * password in JSON format, which is in the form of {@code { \"username\": \"<User>\", \"password\": \"example-password\" }}.
     * If the type of the credentials is {@code API_KEY}, the secret must contain the accessKeyId and
     * secretAccessKey in JSON format,
     * which is in the form of {@code { \"accessKeyId\": \"<AccessKey>\", \"secretAccessKey\": \"<AccessKeyValue>\" }}.
     *
     */
    "secretId": string;
}
export declare namespace AssetSourceCredentials {
    function getJsonObj(obj: AssetSourceCredentials): object;
    function getDeserializedJsonObj(obj: AssetSourceCredentials): object;
}
