/**
 *
 *
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/cloudbridge/ListSupportedCloudRegions.ts.html |here} to see how to use ListSupportedCloudRegionsRequest.
 */
export interface ListSupportedCloudRegionsRequest extends common.BaseRequest {
    /**
     * The asset source type.
     */
    "assetSourceType"?: model.AssetSourceType;
    /**
     * A filter to return only supported cloud regions which name contains given nameContains as sub-string.
     */
    "nameContains"?: string;
    /**
     * The field to sort by. Only one sort order may be provided. By default, name is in ascending order.
     *
     */
    "sortBy"?: ListSupportedCloudRegionsRequest.SortBy;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrders;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListSupportedCloudRegionsRequest {
    enum SortBy {
        Name = "name"
    }
}
