/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* Specifies the volume that the volume backup policy is assigned to.
* <p>
For more information about Oracle defined backup policies and custom backup policies,
* see [Policy-Based Backups](https://docs.cloud.oracle.com/iaas/Content/Block/Tasks/schedulingvolumebackups.htm).
*
*/
export interface VolumeBackupPolicyAssignment {
    /**
     * The OCID of the volume the policy has been assigned to.
     */
    "assetId": string;
    /**
     * The OCID of the volume backup policy assignment.
     */
    "id": string;
    /**
     * The OCID of the volume backup policy that has been assigned to the volume.
     *
     */
    "policyId": string;
    /**
     * The date and time the volume backup policy was assigned to the volume. The format is
     * defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     *
     */
    "timeCreated": Date;
    /**
     * The OCID of the Vault service key which is the master encryption key for the block / boot volume cross region backups, which will be used in the destination region to encrypt the backup's encryption keys.
     * For more information about the Vault service and encryption keys, see
     * [Overview of Vault service](https://docs.cloud.oracle.com/iaas/Content/KeyManagement/Concepts/keyoverview.htm) and
     * [Using Keys](https://docs.cloud.oracle.com/iaas/Content/KeyManagement/Tasks/usingkeys.htm).
     *
     */
    "xrcKmsKeyId"?: string;
}
export declare namespace VolumeBackupPolicyAssignment {
    function getJsonObj(obj: VolumeBackupPolicyAssignment): object;
    function getDeserializedJsonObj(obj: VolumeBackupPolicyAssignment): object;
}
