/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Describes the re-order parameters for the Scheduled Action resources.
 *
 */
export interface ReorderScheduledActionsDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Scheduling Window.
     */
    "schedulingWindowId": string;
    /**
     * List of action resources in a specific order.
     * Example: [{actionOrder: 1, actionResourceId: \"resourceId1\"}, {actionOrder: 2, actionResourceId: \"resourceId2\"}]
     *
     */
    "scheduledActionIdOrders": Array<model.ActionOrderDetails>;
}
export declare namespace ReorderScheduledActionsDetails {
    function getJsonObj(obj: ReorderScheduledActionsDetails): object;
    function getDeserializedJsonObj(obj: ReorderScheduledActionsDetails): object;
}
