/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Indicates that the selection is a scimQuery.
 *
 */
export interface ScimQuerySelectionMode extends model.SelectionDetails {
    /**
     * The scimQuery query parameter accepts filter expressions that use the syntax described in Section 3.2.2.2
     * of the System for Cross-Domain Identity Management (SCIM) specification, which is available
     * at [RFC3339](https://tools.ietf.org/html/draft-ietf-scim-api-12). In SCIM filtering expressions,
     * text, date, and time values must be enclosed in quotation marks, with date and time values using ISO-8601 format.
     * (Numeric and boolean values should not be quoted.)
     * <p>
     **Example:** query=(dbUserName eq \"PAY_APP\")
     *
     */
    "scimQuery": string;
    "selectionMode": string;
}
export declare namespace ScimQuerySelectionMode {
    function getJsonObj(obj: ScimQuerySelectionMode, isParentJsonObj?: boolean): object;
    const selectionMode = "SCIM_QUERY";
    function getDeserializedJsonObj(obj: ScimQuerySelectionMode, isParentJsonObj?: boolean): object;
}
