/**
 * Oracle Delegate Access Control API
 * Oracle Delegate Access Control allows ExaCC and ExaCS customers to delegate management of their Exadata resources operators outside their tenancies.
With Delegate Access Control, Support Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform.
Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken.
Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks.
Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.

 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as ApproveDelegatedResourceAccessRequestDetails from "./approve-delegated-resource-access-request-details";
export import ApproveDelegatedResourceAccessRequestDetails = ApproveDelegatedResourceAccessRequestDetails.ApproveDelegatedResourceAccessRequestDetails;
import * as AuditReportStatus from "./audit-report-status";
export import AuditReportStatus = AuditReportStatus.AuditReportStatus;
import * as ChangeDelegationControlCompartmentDetails from "./change-delegation-control-compartment-details";
export import ChangeDelegationControlCompartmentDetails = ChangeDelegationControlCompartmentDetails.ChangeDelegationControlCompartmentDetails;
import * as ChangeDelegationSubscriptionCompartmentDetails from "./change-delegation-subscription-compartment-details";
export import ChangeDelegationSubscriptionCompartmentDetails = ChangeDelegationSubscriptionCompartmentDetails.ChangeDelegationSubscriptionCompartmentDetails;
import * as CreateDelegationControlDetails from "./create-delegation-control-details";
export import CreateDelegationControlDetails = CreateDelegationControlDetails.CreateDelegationControlDetails;
import * as CreateDelegationSubscriptionDetails from "./create-delegation-subscription-details";
export import CreateDelegationSubscriptionDetails = CreateDelegationSubscriptionDetails.CreateDelegationSubscriptionDetails;
import * as DelegatedResourceAccessRequest from "./delegated-resource-access-request";
export import DelegatedResourceAccessRequest = DelegatedResourceAccessRequest.DelegatedResourceAccessRequest;
import * as DelegatedResourceAccessRequestApprovalDetails from "./delegated-resource-access-request-approval-details";
export import DelegatedResourceAccessRequestApprovalDetails = DelegatedResourceAccessRequestApprovalDetails.DelegatedResourceAccessRequestApprovalDetails;
import * as DelegatedResourceAccessRequestAuditLogReport from "./delegated-resource-access-request-audit-log-report";
export import DelegatedResourceAccessRequestAuditLogReport = DelegatedResourceAccessRequestAuditLogReport.DelegatedResourceAccessRequestAuditLogReport;
import * as DelegatedResourceAccessRequestAuditType from "./delegated-resource-access-request-audit-type";
export import DelegatedResourceAccessRequestAuditType = DelegatedResourceAccessRequestAuditType.DelegatedResourceAccessRequestAuditType;
import * as DelegatedResourceAccessRequestHistoryCollection from "./delegated-resource-access-request-history-collection";
export import DelegatedResourceAccessRequestHistoryCollection = DelegatedResourceAccessRequestHistoryCollection.DelegatedResourceAccessRequestHistoryCollection;
import * as DelegatedResourceAccessRequestHistorySummary from "./delegated-resource-access-request-history-summary";
export import DelegatedResourceAccessRequestHistorySummary = DelegatedResourceAccessRequestHistorySummary.DelegatedResourceAccessRequestHistorySummary;
import * as DelegatedResourceAccessRequestSeverity from "./delegated-resource-access-request-severity";
export import DelegatedResourceAccessRequestSeverity = DelegatedResourceAccessRequestSeverity.DelegatedResourceAccessRequestSeverity;
import * as DelegatedResourceAccessRequestStatus from "./delegated-resource-access-request-status";
export import DelegatedResourceAccessRequestStatus = DelegatedResourceAccessRequestStatus.DelegatedResourceAccessRequestStatus;
import * as DelegatedResourceAccessRequestSummary from "./delegated-resource-access-request-summary";
export import DelegatedResourceAccessRequestSummary = DelegatedResourceAccessRequestSummary.DelegatedResourceAccessRequestSummary;
import * as DelegatedResourceAccessRequestSummaryCollection from "./delegated-resource-access-request-summary-collection";
export import DelegatedResourceAccessRequestSummaryCollection = DelegatedResourceAccessRequestSummaryCollection.DelegatedResourceAccessRequestSummaryCollection;
import * as DelegatedResourceAccessRequesterType from "./delegated-resource-access-requester-type";
export import DelegatedResourceAccessRequesterType = DelegatedResourceAccessRequesterType.DelegatedResourceAccessRequesterType;
import * as DelegationControl from "./delegation-control";
export import DelegationControl = DelegationControl.DelegationControl;
import * as DelegationControlResourceCollection from "./delegation-control-resource-collection";
export import DelegationControlResourceCollection = DelegationControlResourceCollection.DelegationControlResourceCollection;
import * as DelegationControlResourceSummary from "./delegation-control-resource-summary";
export import DelegationControlResourceSummary = DelegationControlResourceSummary.DelegationControlResourceSummary;
import * as DelegationControlResourceType from "./delegation-control-resource-type";
export import DelegationControlResourceType = DelegationControlResourceType.DelegationControlResourceType;
import * as DelegationControlSummary from "./delegation-control-summary";
export import DelegationControlSummary = DelegationControlSummary.DelegationControlSummary;
import * as DelegationControlSummaryCollection from "./delegation-control-summary-collection";
export import DelegationControlSummaryCollection = DelegationControlSummaryCollection.DelegationControlSummaryCollection;
import * as DelegationSubscription from "./delegation-subscription";
export import DelegationSubscription = DelegationSubscription.DelegationSubscription;
import * as DelegationSubscriptionSummary from "./delegation-subscription-summary";
export import DelegationSubscriptionSummary = DelegationSubscriptionSummary.DelegationSubscriptionSummary;
import * as DelegationSubscriptionSummaryCollection from "./delegation-subscription-summary-collection";
export import DelegationSubscriptionSummaryCollection = DelegationSubscriptionSummaryCollection.DelegationSubscriptionSummaryCollection;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as RejectDelegatedResourceAccessRequestDetails from "./reject-delegated-resource-access-request-details";
export import RejectDelegatedResourceAccessRequestDetails = RejectDelegatedResourceAccessRequestDetails.RejectDelegatedResourceAccessRequestDetails;
import * as RevokeDelegatedResourceAccessRequestDetails from "./revoke-delegated-resource-access-request-details";
export import RevokeDelegatedResourceAccessRequestDetails = RevokeDelegatedResourceAccessRequestDetails.RevokeDelegatedResourceAccessRequestDetails;
import * as ServiceProvider from "./service-provider";
export import ServiceProvider = ServiceProvider.ServiceProvider;
import * as ServiceProviderAction from "./service-provider-action";
export import ServiceProviderAction = ServiceProviderAction.ServiceProviderAction;
import * as ServiceProviderActionProperties from "./service-provider-action-properties";
export import ServiceProviderActionProperties = ServiceProviderActionProperties.ServiceProviderActionProperties;
import * as ServiceProviderActionSummary from "./service-provider-action-summary";
export import ServiceProviderActionSummary = ServiceProviderActionSummary.ServiceProviderActionSummary;
import * as ServiceProviderActionSummaryCollection from "./service-provider-action-summary-collection";
export import ServiceProviderActionSummaryCollection = ServiceProviderActionSummaryCollection.ServiceProviderActionSummaryCollection;
import * as ServiceProviderInteractionCollection from "./service-provider-interaction-collection";
export import ServiceProviderInteractionCollection = ServiceProviderInteractionCollection.ServiceProviderInteractionCollection;
import * as ServiceProviderInteractionRequestDetails from "./service-provider-interaction-request-details";
export import ServiceProviderInteractionRequestDetails = ServiceProviderInteractionRequestDetails.ServiceProviderInteractionRequestDetails;
import * as ServiceProviderInteractionSummary from "./service-provider-interaction-summary";
export import ServiceProviderInteractionSummary = ServiceProviderInteractionSummary.ServiceProviderInteractionSummary;
import * as ServiceProviderServiceType from "./service-provider-service-type";
export import ServiceProviderServiceType = ServiceProviderServiceType.ServiceProviderServiceType;
import * as ServiceProviderSummary from "./service-provider-summary";
export import ServiceProviderSummary = ServiceProviderSummary.ServiceProviderSummary;
import * as ServiceProviderSummaryCollection from "./service-provider-summary-collection";
export import ServiceProviderSummaryCollection = ServiceProviderSummaryCollection.ServiceProviderSummaryCollection;
import * as SortOrders from "./sort-orders";
export import SortOrders = SortOrders.SortOrders;
import * as UpdateDelegationControlDetails from "./update-delegation-control-details";
export import UpdateDelegationControlDetails = UpdateDelegationControlDetails.UpdateDelegationControlDetails;
import * as UpdateDelegationSubscriptionDetails from "./update-delegation-subscription-details";
export import UpdateDelegationSubscriptionDetails = UpdateDelegationSubscriptionDetails.UpdateDelegationSubscriptionDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
