/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the desktop's private access network connectivity to be set up for the desktop pool.
 *
 */
export interface CreateDesktopPoolPrivateAccessDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the subnet in the customer VCN where the
     * connectivity will be established.
     *
     */
    "subnetId": string;
    /**
     * A list of network security groups for the private access.
     */
    "nsgIds"?: Array<string>;
    /**
     * The IPv4 address from the provided OCI subnet which needs to be assigned to the VNIC. If not provided, it will
     * be auto-assigned with an available IPv4 address from the subnet.
     *
     */
    "privateIp"?: string;
}
export declare namespace CreateDesktopPoolPrivateAccessDetails {
    function getJsonObj(obj: CreateDesktopPoolPrivateAccessDetails): object;
    function getDeserializedJsonObj(obj: CreateDesktopPoolPrivateAccessDetails): object;
}
