/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The shape configuration used for each desktop compute instance in the desktop pool.
 *
 */
export interface DesktopPoolShapeConfig {
    /**
     * The total number of OCPUs available for each desktop compute instance in the desktop pool.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus"?: number;
    /**
     * The total amount of memory available in gigabytes for each desktop compute instance in the desktop pool.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs"?: number;
    /**
     * The baseline OCPU utilization for a subcore burstable VM instance used for each desktop compute instance in
     * the desktop pool.
     * Leave this attribute blank for a non-burstable instance, or explicitly specify non-burstable with
     * {@code BASELINE_1_1}.
     *
     * The following values are supported:
     * - {@code BASELINE_1_8} - baseline usage is 1/8 of an OCPU.
     * - {@code BASELINE_1_2} - baseline usage is 1/2 of an OCPU.
     * - {@code BASELINE_1_1} - baseline usage is the entire OCPU. This represents a non-burstable instance.
     *
     */
    "baselineOcpuUtilization"?: DesktopPoolShapeConfig.BaselineOcpuUtilization;
}
export declare namespace DesktopPoolShapeConfig {
    enum BaselineOcpuUtilization {
        Baseline18 = "BASELINE_1_8",
        Baseline12 = "BASELINE_1_2",
        Baseline11 = "BASELINE_1_1",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DesktopPoolShapeConfig): object;
    function getDeserializedJsonObj(obj: DesktopPoolShapeConfig): object;
}
