/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Action and grace period for inactivity
 */
export interface InactivityConfig {
    /**
     * an inactivity action to be triggered
     */
    "action": InactivityConfig.Action;
    /**
     * The period of time (in minutes) during which the session must remain inactive before any action occurs.
     * If the value is not provided, a default value is used.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "gracePeriodInMinutes"?: number;
}
export declare namespace InactivityConfig {
    enum Action {
        None = "NONE",
        Disconnect = "DISCONNECT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: InactivityConfig): object;
    function getDeserializedJsonObj(obj: InactivityConfig): object;
}
