/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * ObjectStorage bucket details where artifact is located.
 */
export interface ObjectStorageGenericArtifactLocationDetails extends model.GenericArtifactLocationDetails {
    /**
     * Unique namespace in the tenancy which contains the bucket
     */
    "namespace": string;
    /**
     * Specifies the Object Storage bucket.
     */
    "bucketName": string;
    /**
     * Specifies the name of object inside the bucket.
     */
    "objectName": string;
    /**
     * Region identifier.
     */
    "region": string;
    "storageType": string;
}
export declare namespace ObjectStorageGenericArtifactLocationDetails {
    function getJsonObj(obj: ObjectStorageGenericArtifactLocationDetails, isParentJsonObj?: boolean): object;
    const storageType = "OBJECT_STORAGE";
    function getDeserializedJsonObj(obj: ObjectStorageGenericArtifactLocationDetails, isParentJsonObj?: boolean): object;
}
