"use strict";
/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PullRequestComment = void 0;
const model = __importStar(require("../model"));
var PullRequestComment;
(function (PullRequestComment) {
    let FileType;
    (function (FileType) {
        FileType["Source"] = "SOURCE";
        FileType["Destination"] = "DESTINATION";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        FileType["UnknownValue"] = "UNKNOWN_VALUE";
    })(FileType = PullRequestComment.FileType || (PullRequestComment.FileType = {}));
    let Status;
    (function (Status) {
        Status["Active"] = "ACTIVE";
        Status["Outdated"] = "OUTDATED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Status["UnknownValue"] = "UNKNOWN_VALUE";
    })(Status = PullRequestComment.Status || (PullRequestComment.Status = {}));
    let ContextStatus;
    (function (ContextStatus) {
        ContextStatus["Processed"] = "PROCESSED";
        ContextStatus["NeedsProcessing"] = "NEEDS_PROCESSING";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ContextStatus["UnknownValue"] = "UNKNOWN_VALUE";
    })(ContextStatus = PullRequestComment.ContextStatus || (PullRequestComment.ContextStatus = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "likes": obj.likes
                ? model.PullRequestCommentLikeCollection.getJsonObj(obj.likes)
                : undefined,
            "createdBy": obj.createdBy ? model.PrincipalDetails.getJsonObj(obj.createdBy) : undefined,
            "updatedBy": obj.updatedBy ? model.PrincipalDetails.getJsonObj(obj.updatedBy) : undefined,
            "commentContext": obj.commentContext
                ? obj.commentContext.map(item => {
                    return model.DiffLineDetails.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    PullRequestComment.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "likes": obj.likes
                ? model.PullRequestCommentLikeCollection.getDeserializedJsonObj(obj.likes)
                : undefined,
            "createdBy": obj.createdBy
                ? model.PrincipalDetails.getDeserializedJsonObj(obj.createdBy)
                : undefined,
            "updatedBy": obj.updatedBy
                ? model.PrincipalDetails.getDeserializedJsonObj(obj.updatedBy)
                : undefined,
            "commentContext": obj.commentContext
                ? obj.commentContext.map(item => {
                    return model.DiffLineDetails.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    PullRequestComment.getDeserializedJsonObj = getDeserializedJsonObj;
})(PullRequestComment = exports.PullRequestComment || (exports.PullRequestComment = {}));
//# sourceMappingURL=pull-request-comment.js.map