/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The metrics details of a repository resource.
 */
export interface RepositoryMetricSummary {
    /**
     * Type of metric
     */
    "metricName"?: model.MetricName;
    /**
     * The duration of the returned aggregated data in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "durationInSeconds"?: number;
    /**
     * The qualifiers provided in the definition of the returned metric.
     */
    "dimensions"?: {
        [key: string]: string;
    };
    /**
     * The start time associated with the value of the metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "startTimestampInEpochSeconds"?: number;
    /**
     * Represents the total number of the metric being calculated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count"?: number;
    /**
     * Represents the total duration in days calculated corresponding to the total no. of PRs.
     * This is used only for \"PULL_REQUEST_REVIEW_START_DURATION_IN_DAYS\" and \"PULL_REQUEST_REVIEW_DURATION_IN_DAYS\" metrics.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sum"?: number;
}
export declare namespace RepositoryMetricSummary {
    function getJsonObj(obj: RepositoryMetricSummary): object;
    function getDeserializedJsonObj(obj: RepositoryMetricSummary): object;
}
