/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* DNSSEC configuration data.
* <p>
A zone may have a maximum of 10 {@code DnssecKeyVersions}, regardless of signing key type.
*
*/
export interface DnssecConfig {
    /**
     * A read-only array of key signing key (KSK) versions.
     *
     */
    "kskDnssecKeyVersions"?: Array<model.KskDnssecKeyVersion>;
    /**
     * A read-only array of zone signing key (ZSK) versions.
     *
     */
    "zskDnssecKeyVersions"?: Array<model.ZskDnssecKeyVersion>;
}
export declare namespace DnssecConfig {
    function getJsonObj(obj: DnssecConfig): object;
    function getDeserializedJsonObj(obj: DnssecConfig): object;
}
