/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Data for a parent zone DS record corresponding to this key-signing key (KSK).
 *
 */
export interface DnssecKeyVersionDsData {
    /**
     * Presentation-format DS record data that must be added to the parent zone. For more information about RDATA,
     * see [Supported DNS Resource Record Types](https://docs.cloud.oracle.com/iaas/Content/DNS/Reference/supporteddnsresource.htm)
     *
     */
    "rdata"?: string;
    /**
     * The type of the digest associated with the rdata.
     *
     */
    "digestType"?: model.DnssecDigestType;
}
export declare namespace DnssecKeyVersionDsData {
    function getJsonObj(obj: DnssecKeyVersionDsData): object;
    function getDeserializedJsonObj(obj: DnssecKeyVersionDsData): object;
}
