/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the local task.
 * The local tasks are specific to a single runbook.
 *
 */
export interface AssociatedLocalTaskDetails extends model.AssociatedTaskDetails {
    "executionDetails": model.ScriptBasedExecutionDetails | model.ApiBasedExecutionDetails;
    /**
     * The description of the task.
     */
    "description"?: string;
    /**
     * The platform of the runbook.
     */
    "platform"?: string;
    /**
     * Make a copy of this task in Library
     */
    "isCopyToLibraryEnabled"?: boolean;
    /**
     * The OS for the task.
     */
    "osType": model.OsType;
    "properties"?: model.Properties;
    /**
     * Is this a discovery output task?
     */
    "isDiscoveryOutputTask"?: boolean;
    /**
     * Is this an Apply Subject Task? Ex. Patch Execution Task
     */
    "isApplySubjectTask"?: boolean;
    /**
     * The name of the task
     */
    "name"?: string;
    "scope": string;
}
export declare namespace AssociatedLocalTaskDetails {
    function getJsonObj(obj: AssociatedLocalTaskDetails, isParentJsonObj?: boolean): object;
    const scope = "LOCAL";
    function getDeserializedJsonObj(obj: AssociatedLocalTaskDetails, isParentJsonObj?: boolean): object;
}
