/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Compliance details for a fleet in Fleet Application Management.
 */
export interface ComplianceReport {
    /**
     * Compliance Report Identifier
     */
    "id": string;
    /**
     * The fleet OCID.
     */
    "fleetId": string;
    /**
     * The last known compliance state of the fleet.
     */
    "complianceState": model.ComplianceState;
    /**
     * Resources associated with the Fleet.
     */
    "resources"?: Array<model.ComplianceReportResource>;
}
export declare namespace ComplianceReport {
    function getJsonObj(obj: ComplianceReport): object;
    function getDeserializedJsonObj(obj: ComplianceReport): object;
}
