/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The properties of the component.
 */
export interface ComponentProperties {
    /**
     * The runOn condition for the task/group/container.
     * Build task execution conditions if applicable to product and product-specific components.
     * This condition is relevant when handling product stack workflows.
     * Example: target.product.name = Oracle WebLogic Server OR target.product.name = Oracle HTTP Server
     *
     */
    "runOn"?: string;
    /**
     * Build control flow conditions that determine the relevance of the task execution.
     *
     */
    "condition"?: string;
    /**
     * The action to be taken in case of a failure.
     */
    "actionOnFailure": ComponentProperties.ActionOnFailure;
    "pauseDetails"?: model.UserActionBasedPauseDetails | model.TimeBasedPauseDetails;
    "notificationPreferences"?: model.TaskNotificationPreferences;
}
export declare namespace ComponentProperties {
    enum ActionOnFailure {
        Abort = "ABORT",
        Continue = "CONTINUE",
        Rollback = "ROLLBACK",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ComponentProperties): object;
    function getDeserializedJsonObj(obj: ComponentProperties): object;
}
