/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of a confirmed target within a fleet.
 */
export interface FleetTargetSummary {
    /**
     * The OCID of the resource.
     */
    "id": string;
    /**
     * Tenancy OCID
     */
    "compartmentId"?: string;
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName": string;
    /**
     * Current version of target.
     */
    "version"?: string;
    /**
     * Product to which the target belongs to.
     */
    "product"?: string;
    "resource"?: model.TargetResource;
    /**
     * The last known compliance state of the target.
     */
    "complianceState"?: model.ComplianceState;
    /**
     * The time when the last successful discovery was made.
     */
    "timeOfLastSuccessfulDiscovery"?: Date;
    /**
     * The time when last discovery was attempted.
     */
    "timeOfLastDiscoveryAttempt"?: Date;
    /**
     * A boolean flag that represents whether the last discovery attempt was successful.
     */
    "isLastDiscoveryAttemptSuccessful"?: boolean;
    /**
     * The current state of the FleetTarget.
     */
    "lifecycleState"?: string;
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace FleetTargetSummary {
    function getJsonObj(obj: FleetTargetSummary): object;
    function getDeserializedJsonObj(obj: FleetTargetSummary): object;
}
