/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Product Config Category Details.
 * Defines individual products which contribute to the applications hosting on the resources that are to be managed.
 *
 */
export interface ProductConfigCategoryDetails extends model.ConfigCategoryDetails {
    /**
     * Versions associated with the PRODUCT .
     *
     */
    "versions": Array<string>;
    /**
     * OCID for the Credential name to be associated with the Product.
     * These are useful for target discovery or lifecycle management activities, for example, Oracle WebLogic admin credentials for Oracle WebLogic Application server.
     *
     */
    "credentials"?: Array<model.ConfigAssociationDetails>;
    /**
     * Various components of the Product.
     * For example:The administration server or node manager can be the components of the Oracle WebLogic Application server.
     * Forms server or concurrent manager can be the components of the Oracle E-Business Suite.
     *
     */
    "components"?: Array<string>;
    /**
     * Products compatible with this Product.
     * Provide products from the list of other products you have created that are compatible with the present one
     *
     */
    "compatibleProducts"?: Array<model.ConfigAssociationDetails>;
    /**
     * Patch Types associated with this Product.
     *
     */
    "patchTypes"?: Array<model.ConfigAssociationDetails>;
    "configCategory": string;
}
export declare namespace ProductConfigCategoryDetails {
    function getJsonObj(obj: ProductConfigCategoryDetails, isParentJsonObj?: boolean): object;
    const configCategory = "PRODUCT";
    function getDeserializedJsonObj(obj: ProductConfigCategoryDetails, isParentJsonObj?: boolean): object;
}
