/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Schedule Information.
 */
export interface Schedule {
    /**
     * Schedule Type
     */
    "type": Schedule.Type;
    /**
     * Start Date for the schedule. An RFC3339 formatted datetime string
     */
    "executionStartdate": Date;
    /**
     * Provide MaintenanceWindowId if Schedule Type is Maintenance Window
     */
    "maintenanceWindowId"?: string;
    /**
     * Recurrence rule specification if Schedule Type is Custom and Recurring
     */
    "recurrences"?: string;
    /**
     * Duration if schedule type is Custom
     */
    "duration"?: string;
}
export declare namespace Schedule {
    enum Type {
        Custom = "CUSTOM",
        MaintenanceWindow = "MAINTENANCE_WINDOW",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Schedule): object;
    function getDeserializedJsonObj(obj: Schedule): object;
}
