/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CheckResourceTaggingRequest from "./check-resource-tagging-request";
export import CheckResourceTaggingRequest = CheckResourceTaggingRequest.CheckResourceTaggingRequest;
import * as ConfirmTargetsRequest from "./confirm-targets-request";
export import ConfirmTargetsRequest = ConfirmTargetsRequest.ConfirmTargetsRequest;
import * as CreateFleetRequest from "./create-fleet-request";
export import CreateFleetRequest = CreateFleetRequest.CreateFleetRequest;
import * as CreateFleetCredentialRequest from "./create-fleet-credential-request";
export import CreateFleetCredentialRequest = CreateFleetCredentialRequest.CreateFleetCredentialRequest;
import * as CreateFleetPropertyRequest from "./create-fleet-property-request";
export import CreateFleetPropertyRequest = CreateFleetPropertyRequest.CreateFleetPropertyRequest;
import * as CreateFleetResourceRequest from "./create-fleet-resource-request";
export import CreateFleetResourceRequest = CreateFleetResourceRequest.CreateFleetResourceRequest;
import * as DeleteFleetRequest from "./delete-fleet-request";
export import DeleteFleetRequest = DeleteFleetRequest.DeleteFleetRequest;
import * as DeleteFleetCredentialRequest from "./delete-fleet-credential-request";
export import DeleteFleetCredentialRequest = DeleteFleetCredentialRequest.DeleteFleetCredentialRequest;
import * as DeleteFleetPropertyRequest from "./delete-fleet-property-request";
export import DeleteFleetPropertyRequest = DeleteFleetPropertyRequest.DeleteFleetPropertyRequest;
import * as DeleteFleetResourceRequest from "./delete-fleet-resource-request";
export import DeleteFleetResourceRequest = DeleteFleetResourceRequest.DeleteFleetResourceRequest;
import * as GenerateComplianceReportRequest from "./generate-compliance-report-request";
export import GenerateComplianceReportRequest = GenerateComplianceReportRequest.GenerateComplianceReportRequest;
import * as GetComplianceReportRequest from "./get-compliance-report-request";
export import GetComplianceReportRequest = GetComplianceReportRequest.GetComplianceReportRequest;
import * as GetFleetRequest from "./get-fleet-request";
export import GetFleetRequest = GetFleetRequest.GetFleetRequest;
import * as GetFleetCredentialRequest from "./get-fleet-credential-request";
export import GetFleetCredentialRequest = GetFleetCredentialRequest.GetFleetCredentialRequest;
import * as GetFleetPropertyRequest from "./get-fleet-property-request";
export import GetFleetPropertyRequest = GetFleetPropertyRequest.GetFleetPropertyRequest;
import * as GetFleetResourceRequest from "./get-fleet-resource-request";
export import GetFleetResourceRequest = GetFleetResourceRequest.GetFleetResourceRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListAnnouncementsRequest from "./list-announcements-request";
export import ListAnnouncementsRequest = ListAnnouncementsRequest.ListAnnouncementsRequest;
import * as ListFleetCredentialsRequest from "./list-fleet-credentials-request";
export import ListFleetCredentialsRequest = ListFleetCredentialsRequest.ListFleetCredentialsRequest;
import * as ListFleetProductsRequest from "./list-fleet-products-request";
export import ListFleetProductsRequest = ListFleetProductsRequest.ListFleetProductsRequest;
import * as ListFleetPropertiesRequest from "./list-fleet-properties-request";
export import ListFleetPropertiesRequest = ListFleetPropertiesRequest.ListFleetPropertiesRequest;
import * as ListFleetResourcesRequest from "./list-fleet-resources-request";
export import ListFleetResourcesRequest = ListFleetResourcesRequest.ListFleetResourcesRequest;
import * as ListFleetTargetsRequest from "./list-fleet-targets-request";
export import ListFleetTargetsRequest = ListFleetTargetsRequest.ListFleetTargetsRequest;
import * as ListFleetsRequest from "./list-fleets-request";
export import ListFleetsRequest = ListFleetsRequest.ListFleetsRequest;
import * as ListInventoryResourcesRequest from "./list-inventory-resources-request";
export import ListInventoryResourcesRequest = ListInventoryResourcesRequest.ListInventoryResourcesRequest;
import * as ListTargetsRequest from "./list-targets-request";
export import ListTargetsRequest = ListTargetsRequest.ListTargetsRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as RequestResourceValidationRequest from "./request-resource-validation-request";
export import RequestResourceValidationRequest = RequestResourceValidationRequest.RequestResourceValidationRequest;
import * as RequestTargetDiscoveryRequest from "./request-target-discovery-request";
export import RequestTargetDiscoveryRequest = RequestTargetDiscoveryRequest.RequestTargetDiscoveryRequest;
import * as UpdateFleetRequest from "./update-fleet-request";
export import UpdateFleetRequest = UpdateFleetRequest.UpdateFleetRequest;
import * as UpdateFleetCredentialRequest from "./update-fleet-credential-request";
export import UpdateFleetCredentialRequest = UpdateFleetCredentialRequest.UpdateFleetCredentialRequest;
import * as UpdateFleetPropertyRequest from "./update-fleet-property-request";
export import UpdateFleetPropertyRequest = UpdateFleetPropertyRequest.UpdateFleetPropertyRequest;
import * as UpdateFleetResourceRequest from "./update-fleet-resource-request";
export import UpdateFleetResourceRequest = UpdateFleetResourceRequest.UpdateFleetResourceRequest;
import * as CreateCompliancePolicyRuleRequest from "./create-compliance-policy-rule-request";
export import CreateCompliancePolicyRuleRequest = CreateCompliancePolicyRuleRequest.CreateCompliancePolicyRuleRequest;
import * as CreateOnboardingRequest from "./create-onboarding-request";
export import CreateOnboardingRequest = CreateOnboardingRequest.CreateOnboardingRequest;
import * as CreatePlatformConfigurationRequest from "./create-platform-configuration-request";
export import CreatePlatformConfigurationRequest = CreatePlatformConfigurationRequest.CreatePlatformConfigurationRequest;
import * as CreatePropertyRequest from "./create-property-request";
export import CreatePropertyRequest = CreatePropertyRequest.CreatePropertyRequest;
import * as DeleteCompliancePolicyRuleRequest from "./delete-compliance-policy-rule-request";
export import DeleteCompliancePolicyRuleRequest = DeleteCompliancePolicyRuleRequest.DeleteCompliancePolicyRuleRequest;
import * as DeleteOnboardingRequest from "./delete-onboarding-request";
export import DeleteOnboardingRequest = DeleteOnboardingRequest.DeleteOnboardingRequest;
import * as DeletePlatformConfigurationRequest from "./delete-platform-configuration-request";
export import DeletePlatformConfigurationRequest = DeletePlatformConfigurationRequest.DeletePlatformConfigurationRequest;
import * as DeletePropertyRequest from "./delete-property-request";
export import DeletePropertyRequest = DeletePropertyRequest.DeletePropertyRequest;
import * as EnableLatestPolicyRequest from "./enable-latest-policy-request";
export import EnableLatestPolicyRequest = EnableLatestPolicyRequest.EnableLatestPolicyRequest;
import * as GetCompliancePolicyRequest from "./get-compliance-policy-request";
export import GetCompliancePolicyRequest = GetCompliancePolicyRequest.GetCompliancePolicyRequest;
import * as GetCompliancePolicyRuleRequest from "./get-compliance-policy-rule-request";
export import GetCompliancePolicyRuleRequest = GetCompliancePolicyRuleRequest.GetCompliancePolicyRuleRequest;
import * as GetOnboardingRequest from "./get-onboarding-request";
export import GetOnboardingRequest = GetOnboardingRequest.GetOnboardingRequest;
import * as GetPlatformConfigurationRequest from "./get-platform-configuration-request";
export import GetPlatformConfigurationRequest = GetPlatformConfigurationRequest.GetPlatformConfigurationRequest;
import * as GetPropertyRequest from "./get-property-request";
export import GetPropertyRequest = GetPropertyRequest.GetPropertyRequest;
import * as ListCompliancePoliciesRequest from "./list-compliance-policies-request";
export import ListCompliancePoliciesRequest = ListCompliancePoliciesRequest.ListCompliancePoliciesRequest;
import * as ListCompliancePolicyRulesRequest from "./list-compliance-policy-rules-request";
export import ListCompliancePolicyRulesRequest = ListCompliancePolicyRulesRequest.ListCompliancePolicyRulesRequest;
import * as ListOnboardingPoliciesRequest from "./list-onboarding-policies-request";
export import ListOnboardingPoliciesRequest = ListOnboardingPoliciesRequest.ListOnboardingPoliciesRequest;
import * as ListOnboardingsRequest from "./list-onboardings-request";
export import ListOnboardingsRequest = ListOnboardingsRequest.ListOnboardingsRequest;
import * as ListPlatformConfigurationsRequest from "./list-platform-configurations-request";
export import ListPlatformConfigurationsRequest = ListPlatformConfigurationsRequest.ListPlatformConfigurationsRequest;
import * as ListPropertiesRequest from "./list-properties-request";
export import ListPropertiesRequest = ListPropertiesRequest.ListPropertiesRequest;
import * as ManageSettingsRequest from "./manage-settings-request";
export import ManageSettingsRequest = ManageSettingsRequest.ManageSettingsRequest;
import * as UpdateCompliancePolicyRuleRequest from "./update-compliance-policy-rule-request";
export import UpdateCompliancePolicyRuleRequest = UpdateCompliancePolicyRuleRequest.UpdateCompliancePolicyRuleRequest;
import * as UpdateOnboardingRequest from "./update-onboarding-request";
export import UpdateOnboardingRequest = UpdateOnboardingRequest.UpdateOnboardingRequest;
import * as UpdatePlatformConfigurationRequest from "./update-platform-configuration-request";
export import UpdatePlatformConfigurationRequest = UpdatePlatformConfigurationRequest.UpdatePlatformConfigurationRequest;
import * as UpdatePropertyRequest from "./update-property-request";
export import UpdatePropertyRequest = UpdatePropertyRequest.UpdatePropertyRequest;
import * as CreateMaintenanceWindowRequest from "./create-maintenance-window-request";
export import CreateMaintenanceWindowRequest = CreateMaintenanceWindowRequest.CreateMaintenanceWindowRequest;
import * as DeleteMaintenanceWindowRequest from "./delete-maintenance-window-request";
export import DeleteMaintenanceWindowRequest = DeleteMaintenanceWindowRequest.DeleteMaintenanceWindowRequest;
import * as GetMaintenanceWindowRequest from "./get-maintenance-window-request";
export import GetMaintenanceWindowRequest = GetMaintenanceWindowRequest.GetMaintenanceWindowRequest;
import * as ListMaintenanceWindowsRequest from "./list-maintenance-windows-request";
export import ListMaintenanceWindowsRequest = ListMaintenanceWindowsRequest.ListMaintenanceWindowsRequest;
import * as UpdateMaintenanceWindowRequest from "./update-maintenance-window-request";
export import UpdateMaintenanceWindowRequest = UpdateMaintenanceWindowRequest.UpdateMaintenanceWindowRequest;
import * as CreatePatchRequest from "./create-patch-request";
export import CreatePatchRequest = CreatePatchRequest.CreatePatchRequest;
import * as CreateSchedulerDefinitionRequest from "./create-scheduler-definition-request";
export import CreateSchedulerDefinitionRequest = CreateSchedulerDefinitionRequest.CreateSchedulerDefinitionRequest;
import * as DeletePatchRequest from "./delete-patch-request";
export import DeletePatchRequest = DeletePatchRequest.DeletePatchRequest;
import * as DeleteSchedulerDefinitionRequest from "./delete-scheduler-definition-request";
export import DeleteSchedulerDefinitionRequest = DeleteSchedulerDefinitionRequest.DeleteSchedulerDefinitionRequest;
import * as DeleteSchedulerJobRequest from "./delete-scheduler-job-request";
export import DeleteSchedulerJobRequest = DeleteSchedulerJobRequest.DeleteSchedulerJobRequest;
import * as ExportComplianceReportRequest from "./export-compliance-report-request";
export import ExportComplianceReportRequest = ExportComplianceReportRequest.ExportComplianceReportRequest;
import * as GetExecutionRequest from "./get-execution-request";
export import GetExecutionRequest = GetExecutionRequest.GetExecutionRequest;
import * as GetJobActivityRequest from "./get-job-activity-request";
export import GetJobActivityRequest = GetJobActivityRequest.GetJobActivityRequest;
import * as GetPatchRequest from "./get-patch-request";
export import GetPatchRequest = GetPatchRequest.GetPatchRequest;
import * as GetSchedulerDefinitionRequest from "./get-scheduler-definition-request";
export import GetSchedulerDefinitionRequest = GetSchedulerDefinitionRequest.GetSchedulerDefinitionRequest;
import * as GetSchedulerJobRequest from "./get-scheduler-job-request";
export import GetSchedulerJobRequest = GetSchedulerJobRequest.GetSchedulerJobRequest;
import * as ListComplianceRecordsRequest from "./list-compliance-records-request";
export import ListComplianceRecordsRequest = ListComplianceRecordsRequest.ListComplianceRecordsRequest;
import * as ListExecutionsRequest from "./list-executions-request";
export import ListExecutionsRequest = ListExecutionsRequest.ListExecutionsRequest;
import * as ListPatchesRequest from "./list-patches-request";
export import ListPatchesRequest = ListPatchesRequest.ListPatchesRequest;
import * as ListResourcesRequest from "./list-resources-request";
export import ListResourcesRequest = ListResourcesRequest.ListResourcesRequest;
import * as ListScheduledFleetsRequest from "./list-scheduled-fleets-request";
export import ListScheduledFleetsRequest = ListScheduledFleetsRequest.ListScheduledFleetsRequest;
import * as ListSchedulerDefinitionsRequest from "./list-scheduler-definitions-request";
export import ListSchedulerDefinitionsRequest = ListSchedulerDefinitionsRequest.ListSchedulerDefinitionsRequest;
import * as ListSchedulerJobsRequest from "./list-scheduler-jobs-request";
export import ListSchedulerJobsRequest = ListSchedulerJobsRequest.ListSchedulerJobsRequest;
import * as ListStepsRequest from "./list-steps-request";
export import ListStepsRequest = ListStepsRequest.ListStepsRequest;
import * as ManageJobExecutionRequest from "./manage-job-execution-request";
export import ManageJobExecutionRequest = ManageJobExecutionRequest.ManageJobExecutionRequest;
import * as SummarizeComplianceRecordCountsRequest from "./summarize-compliance-record-counts-request";
export import SummarizeComplianceRecordCountsRequest = SummarizeComplianceRecordCountsRequest.SummarizeComplianceRecordCountsRequest;
import * as SummarizeManagedEntityCountsRequest from "./summarize-managed-entity-counts-request";
export import SummarizeManagedEntityCountsRequest = SummarizeManagedEntityCountsRequest.SummarizeManagedEntityCountsRequest;
import * as SummarizeSchedulerJobCountsRequest from "./summarize-scheduler-job-counts-request";
export import SummarizeSchedulerJobCountsRequest = SummarizeSchedulerJobCountsRequest.SummarizeSchedulerJobCountsRequest;
import * as UpdatePatchRequest from "./update-patch-request";
export import UpdatePatchRequest = UpdatePatchRequest.UpdatePatchRequest;
import * as UpdateSchedulerDefinitionRequest from "./update-scheduler-definition-request";
export import UpdateSchedulerDefinitionRequest = UpdateSchedulerDefinitionRequest.UpdateSchedulerDefinitionRequest;
import * as UpdateSchedulerJobRequest from "./update-scheduler-job-request";
export import UpdateSchedulerJobRequest = UpdateSchedulerJobRequest.UpdateSchedulerJobRequest;
import * as CreateRunbookRequest from "./create-runbook-request";
export import CreateRunbookRequest = CreateRunbookRequest.CreateRunbookRequest;
import * as CreateTaskRecordRequest from "./create-task-record-request";
export import CreateTaskRecordRequest = CreateTaskRecordRequest.CreateTaskRecordRequest;
import * as DeleteRunbookRequest from "./delete-runbook-request";
export import DeleteRunbookRequest = DeleteRunbookRequest.DeleteRunbookRequest;
import * as DeleteTaskRecordRequest from "./delete-task-record-request";
export import DeleteTaskRecordRequest = DeleteTaskRecordRequest.DeleteTaskRecordRequest;
import * as GetRunbookRequest from "./get-runbook-request";
export import GetRunbookRequest = GetRunbookRequest.GetRunbookRequest;
import * as GetTaskRecordRequest from "./get-task-record-request";
export import GetTaskRecordRequest = GetTaskRecordRequest.GetTaskRecordRequest;
import * as ListRunbooksRequest from "./list-runbooks-request";
export import ListRunbooksRequest = ListRunbooksRequest.ListRunbooksRequest;
import * as ListTaskRecordsRequest from "./list-task-records-request";
export import ListTaskRecordsRequest = ListTaskRecordsRequest.ListTaskRecordsRequest;
import * as PublishRunbookRequest from "./publish-runbook-request";
export import PublishRunbookRequest = PublishRunbookRequest.PublishRunbookRequest;
import * as SetDefaultRunbookRequest from "./set-default-runbook-request";
export import SetDefaultRunbookRequest = SetDefaultRunbookRequest.SetDefaultRunbookRequest;
import * as UpdateRunbookRequest from "./update-runbook-request";
export import UpdateRunbookRequest = UpdateRunbookRequest.UpdateRunbookRequest;
import * as UpdateTaskRecordRequest from "./update-task-record-request";
export import UpdateTaskRecordRequest = UpdateTaskRecordRequest.UpdateTaskRecordRequest;
