/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * List of source and target schemas of a pipeline's assigned connection.
 * 1. If there is no explicit mapping defined for the pipeline then only matched source and target schema names will be returned.
 * 2. If there are explicit mappings defined for the pipeline then along with the mapped source and target schema names, the matched source and target schema names also will be returned.
 *
 */
export interface PipelineSchemaSummary {
    /**
     * The schema name from the database connection.
     *
     */
    "sourceSchemaName": string;
    /**
     * The schema name from the database connection.
     *
     */
    "targetSchemaName": string;
}
export declare namespace PipelineSchemaSummary {
    function getJsonObj(obj: PipelineSchemaSummary): object;
    function getDeserializedJsonObj(obj: PipelineSchemaSummary): object;
}
