/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information with which to update a pipeline.
 *
 */
export interface UpdatePipelineDetails {
    /**
     * An object's Display Name.
     *
     */
    "displayName"?: string;
    /**
     * Metadata about this specific object.
     *
     */
    "description"?: string;
    /**
     * The Oracle license model that applies to a Deployment.
     *
     */
    "licenseModel"?: model.LicenseModel;
    /**
      * A simple key-value pair that is applied without any predefined name, type, or scope. Exists
  * for cross-compatibility only.
  * <p>
  Example: {@code {\"bar-key\": \"value\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Tags defined for this resource. Each key is predefined and scoped to a namespace.
  * <p>
  Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    "recipeType": string;
}
export declare namespace UpdatePipelineDetails {
    function getJsonObj(obj: UpdatePipelineDetails): object;
    function getDeserializedJsonObj(obj: UpdatePipelineDetails): object;
}
