/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm).
Use this pattern to construct endpoints for identity domains: `https://<domainURL>/admin/v1/`. See [Finding an Identity Domain URL](https://docs.oracle.com/en-us/iaas/Content/Identity/api-getstarted/locate-identity-domain-url.htm) to locate the domain URL you need.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * This extension defines attributes used to record consent for modification of the \"Security Policy for OCI Console\" sign-on policy, Rule, Condition or ConditionGroup.
 */
export interface RuleExtensionOciconsolesignonpolicyconsentPolicy {
    /**
     * Set to true when an identity domain administrator opts to change the Oracle security defaults for the \"Security Policy for OCI Console\" shipped by Oracle. Defaults to false.
     * <p>
     **Added In:** 2405220110
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: writeOnly
     *  - required: false
     *  - returned: never
     *  - type: boolean
     */
    "consent"?: boolean;
    /**
     * The justification for the change when an identity domain administrator opts to modify the Oracle security defaults for the \"Security Policy for OCI Console\" sign-on policy shipped by Oracle.
     * <p>
     **Added In:** 2405220110
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: writeOnly
     *  - required: false
     *  - returned: never
     *  - type: string
     */
    "justification"?: string;
    /**
     * The detailed reason for the change when an identity domain administrator opts to modify the Oracle security defaults for the \"Security Policy for OCI Console\" sign-on policy shipped by Oracle.
     * <p>
     **Added In:** 2405220110
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: writeOnly
     *  - required: false
     *  - returned: never
     *  - type: string
     */
    "reason"?: string;
}
export declare namespace RuleExtensionOciconsolesignonpolicyconsentPolicy {
    function getJsonObj(obj: RuleExtensionOciconsolesignonpolicyconsentPolicy): object;
    function getDeserializedJsonObj(obj: RuleExtensionOciconsolesignonpolicyconsentPolicy): object;
}
