/**
 * Java Management Service Fleets API
 * The APIs for the [Fleet Management](https://docs.oracle.com/en-us/iaas/jms/doc/fleet-management.html) feature of Java Management Service to monitor and manage the usage of Java in your enterprise. Use these APIs to manage fleets, configure managed instances to report to fleets, and gain insights into the Java workloads running on these instances by carrying out basic and advanced features.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Attributes to generate agent deploy script for a Fleet.
 */
export interface GenerateAgentDeployScriptDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the install key for which to generate the script.
     */
    "installKeyId": string;
    /**
     * The operating system type for the script. Currently only 'LINUX' and 'WINDOWS' are supported.
     */
    "osFamily": model.OsFamily;
    /**
     * Enable/disable user name collection on agent.
     */
    "isUserNameEnabled": boolean;
}
export declare namespace GenerateAgentDeployScriptDetails {
    function getJsonObj(obj: GenerateAgentDeployScriptDetails): object;
    function getDeserializedJsonObj(obj: GenerateAgentDeployScriptDetails): object;
}
