"use strict";
/**
 * Java Management Service Fleets API
 * The APIs for the [Fleet Management](https://docs.oracle.com/en-us/iaas/jms/doc/fleet-management.html) feature of Java Management Service to monitor and manage the usage of Java in your enterprise. Use these APIs to manage fleets, configure managed instances to report to fleets, and gain insights into the Java workloads running on these instances by carrying out basic and advanced features.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkItemStatus = void 0;
/**
 * Possible operation status.
 **/
var WorkItemStatus;
(function (WorkItemStatus) {
    WorkItemStatus["Accepted"] = "ACCEPTED";
    WorkItemStatus["InProgress"] = "IN_PROGRESS";
    WorkItemStatus["Canceling"] = "CANCELING";
    WorkItemStatus["Canceled"] = "CANCELED";
    WorkItemStatus["Succeeded"] = "SUCCEEDED";
    WorkItemStatus["NeedsAttention"] = "NEEDS_ATTENTION";
    WorkItemStatus["Retrying"] = "RETRYING";
    WorkItemStatus["Skipped"] = "SKIPPED";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    WorkItemStatus["UnknownValue"] = "UNKNOWN_VALUE";
})(WorkItemStatus = exports.WorkItemStatus || (exports.WorkItemStatus = {}));
(function (WorkItemStatus) {
    function getJsonObj(obj) {
        return obj;
    }
    WorkItemStatus.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    WorkItemStatus.getDeserializedJsonObj = getDeserializedJsonObj;
})(WorkItemStatus = exports.WorkItemStatus || (exports.WorkItemStatus = {}));
//# sourceMappingURL=work-item-status.js.map