/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Request for creating Tunnel Inspection Rule used in the firewall policy rules.
 * Tunnel Inspection Rule determines whether tunnel inspection is applied on the traffic based on attributes
 * such as Tunnel Inspection protocol, the source and destination IP address.
 *
 */
export interface CreateTunnelInspectionRuleDetails {
    /**
     * Name for the Tunnel Inspection Rule, must be unique within the policy.
     */
    "name": string;
    /**
     * Types of Inspect Action on the traffic flow.
     * <p>
     * INSPECT - Inspect the traffic.
     *   * INSPECT_AND_CAPTURE_LOG - Inspect and capture logs for the traffic.
     *
     */
    "action"?: model.InspectActionType;
    "position"?: model.RulePosition;
    "protocol": string;
}
export declare namespace CreateTunnelInspectionRuleDetails {
    function getJsonObj(obj: CreateTunnelInspectionRuleDetails): object;
    function getDeserializedJsonObj(obj: CreateTunnelInspectionRuleDetails): object;
}
