/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Checksum algorithms supported by Object Storage for data integrity checks, in addition to the default MD5 checksum.
 **/
export declare enum ChecksumAlgorithm {
    Crc32C = "CRC32C",
    Sha256 = "SHA256",
    Sha384 = "SHA384"
}
export declare namespace ChecksumAlgorithm {
    function getJsonObj(obj: ChecksumAlgorithm): ChecksumAlgorithm;
    function getDeserializedJsonObj(obj: ChecksumAlgorithm): ChecksumAlgorithm;
}
