/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The object representing FQDN details formed using prefix and additionalPrefixes.
 *
 */
export interface Fqdns {
    "prefixFqdns"?: model.PrefixFqdns;
    /**
     * An object containing FQDNs formed using additionalPrefixes.
     *
     */
    "additionalPrefixesFqdns"?: {
        [key: string]: model.PrefixFqdns;
    };
}
export declare namespace Fqdns {
    function getJsonObj(obj: Fqdns): object;
    function getDeserializedJsonObj(obj: Fqdns): object;
}
