/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * To use any of the API operations, you must be authorized in an IAM policy. If you are not authorized,
 * talk to an administrator. If you are an administrator who needs to write policies to give users access, see
 * [Getting Started with Policies](https://docs.cloud.oracle.com/Content/Identity/Concepts/policygetstarted.htm).
 *
 */
export interface PrivateEndpointSummary {
    /**
     * The name given to the Private Endpoint. Avoid entering confidential information.
     * Example: my-new-pe1
     *
     */
    "name": string;
    /**
     * The Object Storage namespace with which the Private Endpoint is associated.
     */
    "namespace": string;
    /**
     * The compartment ID in which the Private Endpoint is authorized.
     */
    "compartmentId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the user who created the Private Endpoint.
     */
    "createdBy": string;
    /**
     * The date and time the Private Endpoint was created, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.29).
     */
    "timeCreated": Date;
    /**
     * The date and time the Private Endpoint was updated, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.29).
     */
    "timeModified": Date;
    /**
     * A prefix to use for the private endpoint. The customer VCN's DNS records are
     * updated with this prefix. The prefix input from the customer will be the first sub-domain in the endpointFqdn.
     * Example: If the prefix chosen is \"abc\", then the endpointFqdn will be 'abc.private.objectstorage.<region>.oraclecloud.com'
     *
     */
    "prefix": string;
    "fqdns": model.Fqdns;
    /**
     * The entity tag for the Private Endpoint.
     */
    "etag": string;
    /**
     * The summaries of Private Endpoints' lifecycle state.
     */
    "lifecycleState": string;
}
export declare namespace PrivateEndpointSummary {
    function getJsonObj(obj: PrivateEndpointSummary): object;
    function getDeserializedJsonObj(obj: PrivateEndpointSummary): object;
}
