/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information that can be updated for a private endpoint.
 *
 */
export interface UpdatePrivateEndpointDetails {
    /**
     * This name associated with the endpoint. Valid characters are uppercase or lowercase letters, numbers, hyphens,
     *  underscores, and periods.
     * Example: my-new-private-endpoint1
     *
     */
    "name"?: string;
    /**
     * The Object Storage namespace which will associated with the private endpoint.
     */
    "namespace"?: string;
    /**
     * A list of targets that can be accessed by the private endpoint.
     *
     */
    "accessTargets"?: Array<model.AccessTargetDetails>;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdatePrivateEndpointDetails {
    function getJsonObj(obj: UpdatePrivateEndpointDetails): object;
    function getDeserializedJsonObj(obj: UpdatePrivateEndpointDetails): object;
}
