/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface HeadObjectResponse {
    /**
     * Echoes back the value passed in the opc-client-request-id header, for use by clients when debugging.
     */
    "opcClientRequestId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular
     * request, provide this request ID.
     *
     */
    "opcRequestId": string;
    /**
     * The entity tag (ETag) for the object.
     */
    "eTag": string;
    /**
     * The user-defined metadata for the object.
     */
    "opcMeta": {
        [key: string]: string;
    };
    /**
     * The object size in bytes.
     */
    "contentLength": number;
    /**
     * Content-MD5 header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.15).
     * Unavailable for objects uploaded using multipart upload.
     *
     */
    "contentMd5": string;
    /**
     * Only applicable to objects uploaded using multipart upload.
     * Base-64 representation of the multipart object hash.
     * The multipart object hash is calculated by taking the MD5 hashes of the parts,
     * concatenating the binary representation of those hashes in order of their part numbers,
     * and then calculating the MD5 hash of the concatenated values.
     *
     */
    "opcMultipartMd5": string;
    /**
     * The base64-encoded, 32-bit CRC32C (Castagnoli) checksum of the object.
     * Even for objects uploaded using multipart upload, this header returns the CRC32C (Castagnoli) checksum
     * of the complete reconstructed object.
     *
     */
    "opcContentCrc32c": string;
    /**
     * Applicable only if SHA256 was specified in the opc-checksum-algorithm request header during upload.
     * The base64-encoded SHA256 hash of the object as computed during upload.
     * Unavailable for objects uploaded using multipart upload.
     *
     */
    "opcContentSha256": string;
    /**
     * Only applicable to objects uploaded using multipart upload.
     * Applicable only if SHA256 was specified in the opc-checksum-algorithm request header during upload.
     * Base-64 representation of the multipart object SHA256 hash.
     * The multipart object hash is calculated by taking the SHA256 hashes of the parts,
     * concatenating the binary representation of those hashes in order of their part numbers,
     * and then calculating the SHA256 hash of the concatenated values.
     *
     */
    "opcMultipartSha256": string;
    /**
     * Applicable only if SHA384 was specified in the opc-checksum-algorithm request header during upload.
     * The base64-encoded SHA384 hash of the object as computed during upload.
     * Unavailable for objects uploaded using multipart upload.
     *
     */
    "opcContentSha384": string;
    /**
     * Only applicable to objects uploaded using multipart upload.
     * Applicable only if SHA384 was specified in the opc-checksum-algorithm request header during upload.
     * Base-64 representation of the multipart object SHA384 hash.
     * The multipart object hash is calculated by taking the SHA384 hashes of the parts,
     * concatenating the binary representation of those hashes in order of their part numbers,
     * and then calculating the SHA384 hash of the concatenated values.
     *
     */
    "opcMultipartSha384": string;
    /**
     * Content-Type header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.17).
     */
    "contentType": string;
    /**
     * Content-Language header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.12).
     */
    "contentLanguage": string;
    /**
     * Content-Encoding header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.11).
     */
    "contentEncoding": string;
    /**
     * Cache-Control header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.9).
     */
    "cacheControl": string;
    /**
     * Content-Disposition header, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-19.5.1).
     */
    "contentDisposition": string;
    /**
     * The object modification time, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.29).
     */
    "lastModified": Date;
    /**
     * The storage tier that the object is stored in.
     */
    "storageTier": string;
    /**
     * Archival state of an object. This field is set only for objects in Archive tier.
     */
    "archivalState": string;
    /**
     * Time that the object is returned to the archived state. This field is only present for restored objects.
     */
    "timeOfArchival": Date;
    /**
     * VersionId of the object requested
     */
    "versionId": string;
    /**
     * Flag to indicate whether or not the object was modified.  If this is true,
     * the getter for the object itself will return null.  Callers should check this
     * if they specified one of the request params that might result in a conditional
     * response (like 'if-match'/'if-none-match').
     */
    "isNotModified": boolean;
}
