/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface PutObjectResponse {
    /**
     * Echoes back the value passed in the opc-client-request-id header, for use by clients when debugging.
     */
    "opcClientRequestId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular
     * request, provide this request ID.
     *
     */
    "opcRequestId": string;
    /**
     * The base64-encoded MD5 hash of the request body as computed by the server.
     */
    "opcContentMd5": string;
    /**
     * The base64-encoded, 32-bit CRC32C (Castagnoli) checksum of the request body as computed by the server. Applicable only if CRC32C was specified in opc-checksum-algorithm request header during upload.
     */
    "opcContentCrc32c": string;
    /**
     * The base64-encoded SHA256 hash of the request body as computed by the server. Applicable only if SHA256 was specified in opc-checksum-algorithm request header during upload.
     */
    "opcContentSha256": string;
    /**
     * The base64-encoded SHA384 hash of the request body as computed by the server. Applicable only if SHA384 was specified in opc-checksum-algorithm request header during upload.
     */
    "opcContentSha384": string;
    /**
     * The entity tag (ETag) for the object.
     */
    "eTag": string;
    /**
     * The time the object was modified, as described in [RFC 2616](https://tools.ietf.org/html/rfc2616#section-14.29).
     */
    "lastModified": Date;
    /**
     * VersionId of the newly created object
     */
    "versionId": string;
}
