/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Backup policy as optionally used for Opensearch cluster.
 *
 */
export interface BackupPolicy {
    /**
     * Specifies if automatic backups are enabled.
     */
    "isEnabled"?: boolean;
    /**
     * Specifies how long backup copy should remain on Storage in days Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "retentionInDays"?: number;
    /**
     * Specifies how often backup should be performed Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "frequencyInHours"?: number;
}
export declare namespace BackupPolicy {
    function getJsonObj(obj: BackupPolicy): object;
    function getDeserializedJsonObj(obj: BackupPolicy): object;
}
