/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration details for a new OpenSearch cluster pipeline.
 */
export interface CreateOpensearchClusterPipelineDetails {
    /**
     * The name of the cluster pipeline. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * The maximum pipeline capacity, in OCPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxOcpuCount": number;
    /**
     * The minimum pipeline capacity, in OCPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minOcpuCount": number;
    /**
     * The maximum amount of memory in GB, for the pipeline. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxMemoryGB": number;
    /**
     * The minimum amount of memory in GB, for the pipeline. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minMemoryGB": number;
    /**
     * The pipeline configuration in YAML format. The command accepts the pipeline configuration as a string or within a .yaml file. If you provide the configuration as a string, each new line must be escaped with \\.
     *
     */
    "pipelineConfigurationBody": string;
    /**
     * The OCID of the compartment to create the pipeline in.
     */
    "compartmentId": string;
    /**
     * The OCID of the pipeline's VCN.
     */
    "vcnId": string;
    /**
     * The OCID of the pipeline's subnet.
     */
    "subnetId": string;
    /**
     * The OCID for the compartment where the pipeline's VCN is located.
     */
    "vcnCompartmentId": string;
    /**
     * The OCID for the compartment where the pipwline's subnet is located.
     */
    "subnetCompartmentId": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateOpensearchClusterPipelineDetails {
    function getJsonObj(obj: CreateOpensearchClusterPipelineDetails): object;
    function getDeserializedJsonObj(obj: CreateOpensearchClusterPipelineDetails): object;
}
