/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Notification details for the maintenance activity.
 */
export interface MaintenanceNotificationDetails {
    /**
     * Jira tickets for on-call engineer to send customer notification
     */
    "jiraTicket": string;
    /**
     * Maintenance Notification type
     */
    "maintenanceNotificationType": model.MaintenanceNotificationType;
    /**
     * List of tenantIds where we need to send the maintenance notifications
     */
    "tenantIds"?: Array<string>;
    /**
     * List of OpenSearch clusterIds where we need to send the maintenance notifications
     */
    "clusterIds"?: Array<string>;
    /**
     * Start time for the notification activity in UTC like \"2023-20-04 04:00:00.000Z\"
     */
    "startTime"?: string;
    /**
     * Start time for the notification activity in UTC like \"2023-20-04 04:00:00.000Z\"
     */
    "endTime"?: string;
}
export declare namespace MaintenanceNotificationDetails {
    function getJsonObj(obj: MaintenanceNotificationDetails): object;
    function getDeserializedJsonObj(obj: MaintenanceNotificationDetails): object;
}
