/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Contains details of a Outbound cluster
 *
 */
export interface OutboundClusterSummary {
    /**
     * Name of the Outbound cluster. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * Sets the time interval between regular application-level ping messages that are sent to try and keep outbound cluster connections alive. If set to -1, application-level ping messages to this outbound cluster are not sent. If unset, application-level ping messages are sent according to the global transport.ping_schedule setting, which defaults to -1 meaning that pings are not sent.
     */
    "pingSchedule"?: string;
    /**
     * Flag to indicate whether to skip the Outbound cluster during cross cluster search, if it is unavailable
     */
    "isSkipUnavailable"?: boolean;
    /**
     * OCID of the Outbound cluster
     */
    "seedClusterId": string;
    /**
     * Mode for the cross cluster connection
     */
    "mode"?: model.CccMode;
}
export declare namespace OutboundClusterSummary {
    function getJsonObj(obj: OutboundClusterSummary): object;
    function getDeserializedJsonObj(obj: OutboundClusterSummary): object;
}
