/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * SAML policy is optionally used for Opensearch cluster to config SAML authentication
 *
 */
export interface SecuritySamlConfig {
    /**
     * A flag determine whether SAML is enabled
     */
    "isEnabled": boolean;
    /**
     * The content of identity provider metadata
     */
    "idpMetadataContent": string;
    /**
     * The unique name for a identity provider entity
     */
    "idpEntityId": string;
    /**
     * The endpoint of opendashboard
     */
    "opendashboardUrl"?: string;
    /**
     * The backend role of admins who have all permissions like local master user
     */
    "adminBackendRole"?: string;
    /**
     * The subject key is used to get username from SAML assertion. By default, it is NameID
     */
    "subjectKey"?: string;
    /**
     * The roles key is sued to get backend roles from SAML assertion
     */
    "rolesKey"?: string;
}
export declare namespace SecuritySamlConfig {
    function getJsonObj(obj: SecuritySamlConfig): object;
    function getDeserializedJsonObj(obj: SecuritySamlConfig): object;
}
