/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * update cluster specs in Kiev.
 */
export interface UpdateClusterSpecsDetails {
    /**
     * OCID of the Opensearch Cluster.
     */
    "clusterId": string;
    /**
     * Updated value of OCPU's configured for master nodes of the cluster. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "masterNodeHostOcpuCount"?: number;
    /**
     * Updated value of memory for master nodes in the cluster (in GB). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "masterNodeHostMemoryGB"?: number;
    /**
     * Updated value of OCPU's configured for data nodes of the cluster. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dataNodeHostOcpuCount"?: number;
    /**
     * Updated value of memory for data nodes in the cluster (in GB). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dataNodeHostMemoryGB"?: number;
    /**
     * Updated version of the software the cluster is currently running.
     */
    "softwareVersion"?: string;
    /**
     * Updated version of the dashboard software the cluster is currently running.
     */
    "dashboardSoftwareVersion"?: string;
    /**
     * Updated Private endpoint of cluster.
     */
    "clusterPrivateEndpoint"?: string;
}
export declare namespace UpdateClusterSpecsDetails {
    function getJsonObj(obj: UpdateClusterSpecsDetails): object;
    function getDeserializedJsonObj(obj: UpdateClusterSpecsDetails): object;
}
