/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration to update on an existing OpenSearch cluster pipeline. You can only edit capaccity limits and pipeline configuration. You can't edit its name or network settings.
 *
 */
export interface UpdateOpensearchClusterPipelineDetails {
    /**
     * The name of the pipeline. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * The maximum pipeline capacity, in OCPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxOcpuCount"?: number;
    /**
     * The minimum pipeline capacity, in OCPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minOcpuCount"?: number;
    /**
     * The maximum amount of memory in GB, for the pipeline. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxMemoryGB"?: number;
    /**
     * The minimum amount of memory in GB, for the pipeline. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minMemoryGB"?: number;
    /**
     * The pipeline configuration in YAML format. The command accepts the pipeline configuration as a string or within a .yaml file. If you provide the configuration as a string, each new line must be escaped with \\.
     *
     */
    "pipelineConfigurationBody"?: string;
}
export declare namespace UpdateOpensearchClusterPipelineDetails {
    function getJsonObj(obj: UpdateOpensearchClusterPipelineDetails): object;
    function getDeserializedJsonObj(obj: UpdateOpensearchClusterPipelineDetails): object;
}
