/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Configuration Summary of a MDS MYSQL database.
 */
export interface MdsMysqlDatabaseConfigurationSummary extends model.DatabaseConfigurationSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the database.
     */
    "databaseId": string;
    /**
     * Specifies if MYSQL DB System has heatwave cluster attached.
     */
    "isHeatWaveClusterAttached": boolean;
    /**
     * Specifies if MYSQL DB System is highly available.
     */
    "isHighlyAvailable": boolean;
    /**
     * The shape of the primary instances of MYSQL DB system. The shape determines resources allocated to a DB System - CPU cores
     * and memory for VM shapes; CPU cores, memory and storage for non-VM shapes.
     *
     */
    "shapeName": string;
    "entitySource": string;
}
export declare namespace MdsMysqlDatabaseConfigurationSummary {
    function getJsonObj(obj: MdsMysqlDatabaseConfigurationSummary, isParentJsonObj?: boolean): object;
    const entitySource = "MDS_MYSQL_DATABASE_SYSTEM";
    function getDeserializedJsonObj(obj: MdsMysqlDatabaseConfigurationSummary, isParentJsonObj?: boolean): object;
}
