/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Options for the the shape memory
 */
export interface ShapeMemoryOptions {
    /**
     * Default per OCPU configuration in GBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "defaultPerOcpuInGBs": number;
    /**
     * Minimum Memory configuration in GBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minInGBs": number;
    /**
     * Minimum Memory configuration per OCPU in GBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minPerOcpuInGBs": number;
    /**
     * Maximum Memory configuration in GBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxInGBs": number;
    /**
     * Maximum Memory configuration per OCPU in GBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxPerOcpuInGBs": number;
}
export declare namespace ShapeMemoryOptions {
    function getJsonObj(obj: ShapeMemoryOptions): object;
    function getDeserializedJsonObj(obj: ShapeMemoryOptions): object;
}
