/**
 * OCI Cache API
 * Use the OCI Cache API to create and manage clusters. A cluster is a memory-based storage solution. For more information, see [OCI Cache](/iaas/Content/ocicache/home.htm).
 * OpenAPI spec version: 20220315
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of each node in the cluster.
 */
export interface NodeSummary {
    /**
     * The fully qualified domain name (FQDN) of the API endpoint to access a specific node.
     */
    "privateEndpointFqdn": string;
    /**
     * The private IP address of the API endpoint to access a specific node.
     */
    "privateEndpointIpAddress": string;
    /**
     * A user-friendly name of a cluster node.
     */
    "displayName": string;
    /**
     * The OCID of the cluster
     */
    "redisClusterId": string;
    /**
     * The shard number to which the node belongs to. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "shardNumber"?: number;
}
export declare namespace NodeSummary {
    function getJsonObj(obj: NodeSummary): object;
    function getDeserializedJsonObj(obj: NodeSummary): object;
}
