/**
 * Security Attribute API
 * Use the Security Attributes API to manage security attributes and security attribute namespaces. For more information, see the documentation for [Security Attributes](/iaas/Content/zero-trust-packet-routing/managing-security-attributes.htm) and [Security Attribute Nampespaces](/iaas/Content/zero-trust-packet-routing/managing-security-attribute-namespaces.htm).
 * OpenAPI spec version: 20240815
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
export interface BulkEditSecurityAttributeDetails {
    /**
     * The OCID of the compartment where the bulk edit request is submitted.
     *
     */
    "compartmentId": string;
    /**
     * The resources to be updated.
     *
     */
    "resources": Array<model.BulkEditResource>;
    /**
     * The operations associated with the request to bulk edit tags.
     *
     */
    "bulkEditOperations": Array<model.BulkEditSecurityAttributeOperationDetails>;
}
export declare namespace BulkEditSecurityAttributeDetails {
    function getJsonObj(obj: BulkEditSecurityAttributeDetails): object;
    function getDeserializedJsonObj(obj: BulkEditSecurityAttributeDetails): object;
}
