/**
 * Security Attribute API
 * Use the Security Attributes API to manage security attributes and security attribute namespaces. For more information, see the documentation for [Security Attributes](/iaas/Content/zero-trust-packet-routing/managing-security-attributes.htm) and [Security Attribute Nampespaces](/iaas/Content/zero-trust-packet-routing/managing-security-attribute-namespaces.htm).
 * OpenAPI spec version: 20240815
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as BaseSecurityAttributeValidator from "./base-security-attribute-validator";
export import BaseSecurityAttributeValidator = BaseSecurityAttributeValidator.BaseSecurityAttributeValidator;
import * as BulkDeleteSecurityAttributesDetails from "./bulk-delete-security-attributes-details";
export import BulkDeleteSecurityAttributesDetails = BulkDeleteSecurityAttributesDetails.BulkDeleteSecurityAttributesDetails;
import * as BulkEditResource from "./bulk-edit-resource";
export import BulkEditResource = BulkEditResource.BulkEditResource;
import * as BulkEditSecurityAttributeDetails from "./bulk-edit-security-attribute-details";
export import BulkEditSecurityAttributeDetails = BulkEditSecurityAttributeDetails.BulkEditSecurityAttributeDetails;
import * as BulkEditSecurityAttributeOperationDetails from "./bulk-edit-security-attribute-operation-details";
export import BulkEditSecurityAttributeOperationDetails = BulkEditSecurityAttributeOperationDetails.BulkEditSecurityAttributeOperationDetails;
import * as ChangeSecurityAttributeNamespaceCompartmentDetails from "./change-security-attribute-namespace-compartment-details";
export import ChangeSecurityAttributeNamespaceCompartmentDetails = ChangeSecurityAttributeNamespaceCompartmentDetails.ChangeSecurityAttributeNamespaceCompartmentDetails;
import * as CreateSecurityAttributeDetails from "./create-security-attribute-details";
export import CreateSecurityAttributeDetails = CreateSecurityAttributeDetails.CreateSecurityAttributeDetails;
import * as CreateSecurityAttributeNamespaceDetails from "./create-security-attribute-namespace-details";
export import CreateSecurityAttributeNamespaceDetails = CreateSecurityAttributeNamespaceDetails.CreateSecurityAttributeNamespaceDetails;
import * as SecurityAttribute from "./security-attribute";
export import SecurityAttribute = SecurityAttribute.SecurityAttribute;
import * as SecurityAttributeNamespace from "./security-attribute-namespace";
export import SecurityAttributeNamespace = SecurityAttributeNamespace.SecurityAttributeNamespace;
import * as SecurityAttributeNamespaceSummary from "./security-attribute-namespace-summary";
export import SecurityAttributeNamespaceSummary = SecurityAttributeNamespaceSummary.SecurityAttributeNamespaceSummary;
import * as SecurityAttributeSummary from "./security-attribute-summary";
export import SecurityAttributeSummary = SecurityAttributeSummary.SecurityAttributeSummary;
import * as SecurityAttributeWorkRequest from "./security-attribute-work-request";
export import SecurityAttributeWorkRequest = SecurityAttributeWorkRequest.SecurityAttributeWorkRequest;
import * as SecurityAttributeWorkRequestErrorSummary from "./security-attribute-work-request-error-summary";
export import SecurityAttributeWorkRequestErrorSummary = SecurityAttributeWorkRequestErrorSummary.SecurityAttributeWorkRequestErrorSummary;
import * as SecurityAttributeWorkRequestLogSummary from "./security-attribute-work-request-log-summary";
export import SecurityAttributeWorkRequestLogSummary = SecurityAttributeWorkRequestLogSummary.SecurityAttributeWorkRequestLogSummary;
import * as SecurityAttributeWorkRequestSummary from "./security-attribute-work-request-summary";
export import SecurityAttributeWorkRequestSummary = SecurityAttributeWorkRequestSummary.SecurityAttributeWorkRequestSummary;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as UpdateSecurityAttributeDetails from "./update-security-attribute-details";
export import UpdateSecurityAttributeDetails = UpdateSecurityAttributeDetails.UpdateSecurityAttributeDetails;
import * as UpdateSecurityAttributeNamespaceDetails from "./update-security-attribute-namespace-details";
export import UpdateSecurityAttributeNamespaceDetails = UpdateSecurityAttributeNamespaceDetails.UpdateSecurityAttributeNamespaceDetails;
import * as WorkRequestOperationType from "./work-request-operation-type";
export import WorkRequestOperationType = WorkRequestOperationType.WorkRequestOperationType;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestStatus from "./work-request-status";
export import WorkRequestStatus = WorkRequestStatus.WorkRequestStatus;
import * as DefaultSecurityAttributeValidator from "./default-security-attribute-validator";
export import DefaultSecurityAttributeValidator = DefaultSecurityAttributeValidator.DefaultSecurityAttributeValidator;
import * as EnumSecurityAttributeValidator from "./enum-security-attribute-validator";
export import EnumSecurityAttributeValidator = EnumSecurityAttributeValidator.EnumSecurityAttributeValidator;
