/**
 * Security Attribute API
 * Use the Security Attributes API to manage security attributes and security attribute namespaces. For more information, see the documentation for [Security Attributes](/iaas/Content/zero-trust-packet-routing/managing-security-attributes.htm) and [Security Attribute Nampespaces](/iaas/Content/zero-trust-packet-routing/managing-security-attribute-namespaces.htm).
 * OpenAPI spec version: 20240815
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The asynchronous API request does not take effect immediately. This request spawns an asynchronous
 * workflow to fulfill the request. WorkRequest objects provide visibility for in-progress workflows.
 *
 */
export interface SecurityAttributeWorkRequest {
    /**
     * The OCID of the work request.
     */
    "id": string;
    /**
     * An enum-like description of the type of work the work request is doing.
     */
    "operationType": model.WorkRequestOperationType;
    /**
     * The OCID of the compartment that contains the work request.
     */
    "compartmentId"?: string;
    /**
     * The current status of the work request.
     */
    "status": model.WorkRequestStatus;
    /**
     * The resources this work request affects.
     *
     */
    "resources"?: Array<model.WorkRequestResource>;
    /**
     * Date and time the work was accepted, in the format defined by RFC3339.
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeAccepted"?: Date;
    /**
     * Date and time the work started, in the format defined by RFC3339.
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeStarted"?: Date;
    /**
     * Date and time the work completed, in the format defined by RFC3339.
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeFinished"?: Date;
    /**
     * How much progress the operation has made.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete"?: number;
}
export declare namespace SecurityAttributeWorkRequest {
    function getJsonObj(obj: SecurityAttributeWorkRequest): object;
    function getDeserializedJsonObj(obj: SecurityAttributeWorkRequest): object;
}
