/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Infomation to create a new Maintenance Window.
 *
 */
export interface CreateMaintenanceWindowDetails {
    /**
     * Maintenance Window name.
     */
    "name": string;
    /**
     * Maintenance Window description.
     */
    "description"?: string;
    /**
     * Compartment Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "compartmentId": string;
    /**
     * List of resource Ids which are part of the Maintenance Window
     *
     */
    "resources": Array<model.CreateMaintenanceWindowResourceDetails>;
    "schedule": model.RecurrentMaintenanceWindowSchedule | model.OneTimeMaintenanceWindowSchedule;
}
export declare namespace CreateMaintenanceWindowDetails {
    function getJsonObj(obj: CreateMaintenanceWindowDetails): object;
    function getDeserializedJsonObj(obj: CreateMaintenanceWindowDetails): object;
}
