/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Position and SQL Type of PL/SQL OUT parameter
 */
export interface SqlOutParamDetails {
    /**
     * Position of PL/SQL procedure OUT parameter. The value of this property is ignored during update, if \"outParamType\" is set to NO_OUT_PARAM value. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "outParamPosition": number;
    /**
     * SQL Type of PL/SQL procedure OUT parameter. During the update, to completely remove the out parameter, use the value NO_OUT_PARAM. In that case, the value of \"outParamPosition\" will be ignored.
     */
    "outParamType": model.SqlOutParamTypes;
    /**
     * Name of the Out Parameter
     */
    "outParamName"?: string;
}
export declare namespace SqlOutParamDetails {
    function getJsonObj(obj: SqlOutParamDetails): object;
    function getDeserializedJsonObj(obj: SqlOutParamDetails): object;
}
